hu.akarnokd.rxjava2.schedulers

## Class ParallelScheduler

- java.lang.Object
- - io.reactivex.Scheduler
  - - hu.akarnokd.rxjava2.schedulers.ParallelScheduler

    public final class ParallelScheduler
    extends io.reactivex.Scheduler

Scheduler with a configurable fixed amount of thread-pools.

### Nested Class Summary

### Nested classes/interfaces inherited from class io.reactivex.Scheduler

`io.reactivex.Scheduler.Worker`

### Constructor Summary

Constructors
Constructor and Description
`ParallelScheduler()`
`ParallelScheduler(int parallelism)`
`ParallelScheduler(int parallelism, boolean tracking)`
`ParallelScheduler(int parallelism, boolean tracking, int priority)`
`ParallelScheduler(int parallelism, boolean tracking, int priority, java.lang.String threadNamePrefix)`
`ParallelScheduler(int parallelism, java.util.concurrent.ThreadFactory factory)`
`ParallelScheduler(int parallelism, java.util.concurrent.ThreadFactory factory, boolean tracking)`
`ParallelScheduler(java.lang.String threadNamePrefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.reactivex.Scheduler.Worker` `createWorker()`
`io.reactivex.disposables.Disposable` `scheduleDirect(java.lang.Runnable run)`
`io.reactivex.disposables.Disposable` `scheduleDirect(java.lang.Runnable run, long delay, java.util.concurrent.TimeUnit unit)`
`io.reactivex.disposables.Disposable` `schedulePeriodicallyDirect(java.lang.Runnable run, long initialDelay, long period, java.util.concurrent.TimeUnit unit)`
`void` `shutdown()`
`void` `start()`

### Methods inherited from class io.reactivex.Scheduler

`clockDriftTolerance, now, when`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParallelScheduler

    public ParallelScheduler()

#### ParallelScheduler

    public ParallelScheduler(java.lang.String threadNamePrefix)

#### ParallelScheduler

    public ParallelScheduler(int parallelism)

#### ParallelScheduler

    public ParallelScheduler(int parallelism,
                             boolean tracking)

#### ParallelScheduler

    public ParallelScheduler(int parallelism,
                             boolean tracking,
                             int priority)

#### ParallelScheduler

    public ParallelScheduler(int parallelism,
                             boolean tracking,
                             int priority,
                             java.lang.String threadNamePrefix)

#### ParallelScheduler

    public ParallelScheduler(int parallelism,
                             java.util.concurrent.ThreadFactory factory)

#### ParallelScheduler

    public ParallelScheduler(int parallelism,
                             java.util.concurrent.ThreadFactory factory,
                             boolean tracking)

### Method Detail

#### start

    public void start()

Overrides:
  `start` in class `io.reactivex.Scheduler`

#### shutdown

    public void shutdown()

Overrides:
  `shutdown` in class `io.reactivex.Scheduler`

#### createWorker

    public io.reactivex.Scheduler.Worker createWorker()

Specified by:
  `createWorker` in class `io.reactivex.Scheduler`

#### scheduleDirect

    public io.reactivex.disposables.Disposable scheduleDirect(java.lang.Runnable run)

Overrides:
  `scheduleDirect` in class `io.reactivex.Scheduler`

#### scheduleDirect

    public io.reactivex.disposables.Disposable scheduleDirect(java.lang.Runnable run,
                                                              long delay,
                                                              java.util.concurrent.TimeUnit unit)

Overrides:
  `scheduleDirect` in class `io.reactivex.Scheduler`

#### schedulePeriodicallyDirect

    public io.reactivex.disposables.Disposable schedulePeriodicallyDirect(java.lang.Runnable run,
                                                                          long initialDelay,
                                                                          long period,
                                                                          java.util.concurrent.TimeUnit unit)

Overrides:
  `schedulePeriodicallyDirect` in class `io.reactivex.Scheduler`